%global momorel 2
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

%global kdebaserel 1m
%global kdemultimediarel 1m
%global kdenetworkrel 1m
%global kdegamesrel 1m
%global kdeadminrel 1m
%global kdepimrel 1m

Name: kdeaddons
Summary: K Desktop Environment - Plugins
Group: User Interface/Desktops
Version: %{kdever}
Release: %{momorel}m
License: GPL
#%%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 5997388ff74ed1c95dd07c778d66fdae
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 5997388ff74ed1c95dd07c778d66fdae
Patch2: http://rambo.its.tudelft.nl/~ewald/xine/kdeaddons-3.1.0-sidebar-video.patch
Requires: kdebase >= %{kdever}-%{kdebaserel}, kdenetwork >= %{kdever}-%{kdenetworkrel}, kdeadmin >= %{kdever}-%{kdeadminrel}, kdemultimedia >= %{kdever}-%{kdemultimediarel}, kdepim >= %{kdever}-%{kdepimrel}, SDL >= 1.2.0
BuildPreReq: automake >= 1.5-8k                      
BuildPreReq: qt-devel >= %{qtver}                      
BuildPrereq: kdebase >= %{kdever}-%{kdebaserel}, kdenetwork >= %{kdever}-%{kdenetworkrel}, kdeadmin >= %{kdever}-%{kdeadminrel}, kdemultimedia >= %{kdever}-%{kdemultimediarel}, kdegames >= %{kdever}-%{kdegamesrel}, kdepim >= %{kdever}-%{kdepimrel}, libpng >= 1.2.0
BuildPreReq: autoconf >= 2.56-3m
BuildPreReq: perl
BuildPrereq: DirectFB-devel
URL: http://www.kde.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Obsoletes: %{name}-kate
Obsoletes: %{name}-kicker
Obsoletes: %{name}-konqueror
Obsoletes: %{name}-noatun

Provides: %{name}-kate
Provides: %{name}-kicker
Provides: %{name}-konqueror
Provides: %{name}-noatun

%description
Plugins for some KDE applications: %{name} extends the functionality
of Konqueror (web browser and file manager), noatun (media player),
Kate (text editor) and Kicker (the task bar/application launcher).

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}
%patch2 -p1 -b .sidebarvideo~
#perl -pi -e "s/-fomit-frame-pointer//g" admin/acinclude.m4.in

#perl -p -i -e "s|autoconf|autoconf-2.53|g" admin/Makefile.common
#perl -p -i -e "s|autoheader|autoheader-2.53|g" admin/Makefile.common

# make -f Makefile.cvs

%build
export KDEDIR=%{kdedir}
export QTDIR=%{qtdir}

export CXXFLAGS="%{optflags} -DNDEBUG -DNO_DEBUG -fno-use-cxa-atexit"
export CFLAGS="%{optflags} -DNDEBUG -DNO_DEBUG"

if [ `gcc -dumpversion` = "3.3" ]; then
CXXFLAGS="$CXXFLAGS -fno-stack-protector"
CFLAGS="$CFLAGS -fno-stack-protector"
fi

./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --enable-final
%make 
make -C noatun-plugins %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
make -C noatun-plugins install DESTDIR=%{buildroot}
# Make symlinks relative
pushd %{buildroot}%{_prefix}/share/doc/HTML/en
for i in *; do
	[ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/kde3/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/.hidden/*
%{_datadir}/apps/atlantikdesigner/*
%{_datadir}/apps/fsview/*
%{_datadir}/apps/kaddressbook/*
%{_datadir}/apps/kate/plugins/*
%{_datadir}/apps/kate/scripts/*
%{_datadir}/apps/katexmltools
%{_datadir}/apps/kcontrol/pics/*
%{_datadir}/apps/khtml/kpartplugins/*
%{_datadir}/apps/kicker/applets/*
%{_datadir}/apps/knewsticker/scripts/*
%{_datadir}/apps/konqiconview/kpartplugins/*
%{_datadir}/apps/konqlistview/kpartplugins/*
%{_datadir}/apps/konqsidebartng/*/*
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/ksig/*
%{_datadir}/apps/mediacontrol
%{_datadir}/apps/noatun/*
%{_datadir}/apps/vimpart/*
%{_datadir}/config.kcfg/*
%{_datadir}/doc/HTML/en/kate-plugins
%{_datadir}/doc/HTML/en/kicker-applets
%{_datadir}/doc/HTML/en/konq-plugins
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*

%changelog
* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.3-2m)
- rebuild against db4.2

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- add BuildPreReq: and Requires: kdepim
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Dec 19 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Sat Oct 4 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Tue Jul  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-4m)
- add -fno-stack-protector if gcc is 3.3

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-3m)
- remove --disable-warnings from configure

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.2-2m)
  rebuild against DirectFB 0.9.18

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
   no changes since 3.1.1
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-4m)
- add --disable-warnings to configure

* Mon May 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- export _POSIX2_VERSION=199209

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    no changelog...

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- add URL

* Tue Feb 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-1m)
- update to 3.1
- add kdeaddons-3.1.0-sidebar-video.patch

* Tue Jan 21 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-4m)
- rebuild against kdebase-3.0.5a-3m , kdenetwork-3.0.5a-2m

* Mon Jan 20 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-3m)
- rebuild against kdemultimedia-3.0.5a-2m

* Wed Jan 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5a-2m)
- rebuild against for DirectFB-0.9.16

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Wed Aug 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.3-2m)
- rebuild against kdemultimedia-3.0.3-2m

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.
- change using autoconf from autoconf-old.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Tue Apr  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-4k)
- applied kdeaddons-3.0-babelfish-cjk-20020407.diff

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release 

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.2.2-6k)
- just rebuild for .la fix

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (2.2.2-4k)
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec file.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Tue Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.1
- 2.2 alpha 2
- split into serveral packages

* Thu Apr 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial release

